package com.muyu.authentication.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 认证对象 authentication
 *
 * @author wan
 * @date 2024-05-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AuthenticationEditReq", description = "认证")
public class AuthenticationEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 审核报告人 */
    @ApiModelProperty(name = "审核报告人", value = "审核报告人")
    private String auditor;

    /** 待审核,已通过,未通过 */
    @ApiModelProperty(name = "待审核,已通过,未通过", value = "待审核,已通过,未通过")
    private String stat;

    /** 审核报告 */
    @ApiModelProperty(name = "审核报告", value = "审核报告")
    private String auditReason;

}
