package com.muyu.company.domain.req;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 企业对象 company
 *
 * @author wan
 * @date 2024-05-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "CompanyQueryReq", description = "企业")
public class CompanyQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 企业名称 */
    @ApiModelProperty(name = "企业名称", value = "企业名称")
    private String companyName;

    /** 法定代理人 */
    @ApiModelProperty(name = "法定代理人", value = "法定代理人")
    private String legalRepresentative;

    /** 企业注册时获得的合法经营凭证号码 */
    @ApiModelProperty(name = "企业注册时获得的合法经营凭证号码", value = "企业注册时获得的合法经营凭证号码")
    private String businessLicenseNumber;

    /** 企业成立的日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(name = "企业成立的日期", value = "企业成立的日期")
    private Date companyTime;

    /** 经营范围 */
    @ApiModelProperty(name = "经营范围", value = "经营范围")
    private String sphereOfBusiness;

    /** 注册地址 */
    @ApiModelProperty(name = "注册地址", value = "注册地址")
    private String registeredAddress;

    /** 负责人电话 */
    @ApiModelProperty(name = "负责人电话", value = "负责人电话")
    private String companyPhone;

    /** 负责人邮箱 */
    @ApiModelProperty(name = "负责人邮箱", value = "负责人邮箱")
    private String companyMailbox;

    /** 企业当前的状态,如正常状态,暂停,注销 */
    @ApiModelProperty(name = "企业当前的状态,如正常状态,暂停,注销", value = "企业当前的状态,如正常状态,暂停,注销")
    private String companyStatus;

    /** 企业入驻时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(name = "企业入驻时间", value = "企业入驻时间")
    private Date enterTime;

    /** 企业认证主键 */
    @ApiModelProperty(name = "企业认证主键", value = "企业认证主键")
    private Long authenticationId;

    /** 开通服务主键 */
    @ApiModelProperty(name = "开通服务主键", value = "开通服务主键")
    private Long liberalServiceId;

    /** 增值服务主键 */
    @ApiModelProperty(name = "增值服务主键", value = "增值服务主键")
    private Long appreciationServiceId;

    /** 用户ID */
    @ApiModelProperty(name = "用户ID", value = "用户ID")
    private Long userId;

}
