package com.muyu.liberal.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.annotation.Excel;
import com.muyu.liberal.domain.req.LiberalQueryReq;
import com.muyu.liberal.domain.req.LiberalSaveReq;
import com.muyu.liberal.domain.req.LiberalEditReq;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 开通服务对象 liberal
 *
 * @author wan
 * @date 2024-05-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("liberal")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Liberal", description = "开通服务")
public class Liberal extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 开通主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "开通主键", value = "开通主键")
    private Long id;

    /** 1开通 2未开通 */
    @Excel(name = "1开通 2未开通")
    @ApiModelProperty(name = "1开通 2未开通", value = "1开通 2未开通")
    private String activateTheService;

    /**
    * 查询构造器
    */
    public static Liberal queryBuild( LiberalQueryReq liberalQueryReq){
        return Liberal.builder()
                .activateTheService(liberalQueryReq.getActivateTheService())
                .build();
    }

    /**
    * 添加构造器
    */
    public static Liberal saveBuild(LiberalSaveReq liberalSaveReq){
        return Liberal.builder()
                .activateTheService(liberalSaveReq.getActivateTheService())
                .build();
    }

    /**
    * 修改构造器
    */
    public static Liberal editBuild(Long id, LiberalEditReq liberalEditReq){
        return Liberal.builder()
            .id(id)
                .activateTheService(liberalEditReq.getActivateTheService())
                .build();
    }

}
