package com.muyu.pay.domain.req;

import java.math.BigDecimal;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 支付对象 pay
 *
 * @author wan
 * @date 2024-05-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "PaySaveReq", description = "支付")
public class PaySaveReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 支付主键 */

    @ApiModelProperty(name = "支付主键", value = "支付主键")
    private Long id;

    /** 企业主键 */

    @ApiModelProperty(name = "企业主键", value = "企业主键")
    private Long companyId;

    /** 支付方式主键 */

    @ApiModelProperty(name = "支付方式主键", value = "支付方式主键")
    private Long paymentId;

    /** 增值需要支付的价格 */

    @ApiModelProperty(name = "增值需要支付的价格", value = "增值需要支付的价格")
    private BigDecimal appreciationDecimal;

}
