package com.muyu.payment.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.annotation.Excel;
import com.muyu.payment.domain.req.PaymentQueryReq;
import com.muyu.payment.domain.req.PaymentSaveReq;
import com.muyu.payment.domain.req.PaymentEditReq;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 支付方式对象 payment
 *
 * @author wan
 * @date 2024-05-29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("payment")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "Payment", description = "支付方式")
public class Payment extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 支付方式主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "支付方式主键", value = "支付方式主键")
    private Long id;

    /** 支付方式 */
    @Excel(name = "支付方式")
    @ApiModelProperty(name = "支付方式", value = "支付方式")
    private String payment;

    /**
    * 查询构造器
    */
    public static Payment queryBuild( PaymentQueryReq paymentQueryReq){
        return Payment.builder()
                .payment(paymentQueryReq.getPayment())
                .build();
    }

    /**
    * 添加构造器
    */
    public static Payment saveBuild(PaymentSaveReq paymentSaveReq){
        return Payment.builder()
                .payment(paymentSaveReq.getPayment())
                .build();
    }

    /**
    * 修改构造器
    */
    public static Payment editBuild(Long id, PaymentEditReq paymentEditReq){
        return Payment.builder()
            .id(id)
                .payment(paymentEditReq.getPayment())
                .build();
    }

}
