package com.muyu.authentication.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.authentication.domain.Authentication;
import com.muyu.authentication.mapper.AuthenticationMapper;
import com.muyu.authentication.service.AuthenticationService;
import com.muyu.common.core.utils.ObjUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import java.util.List;

/**
 * 认证Service业务层处理
 *
 * @author wan
 * @date 2024-05-29
 */
@Slf4j
@Service
public class AuthenticationServiceImpl extends ServiceImpl<AuthenticationMapper, Authentication>  implements AuthenticationService {

    /**
     * 查询认证列表
     *
     * @param authentication 认证
     * @return 认证
     */
    @Override
    public List<Authentication> list(Authentication authentication) {
        LambdaQueryWrapper<Authentication> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(authentication.getAuditor())){
            queryWrapper.eq(Authentication::getAuditor, authentication.getAuditor());
        }

        if (ObjUtils.notNull(authentication.getStat())){
            queryWrapper.eq(Authentication::getStat, authentication.getStat());
        }

        if (ObjUtils.notNull(authentication.getAuditReason())){
            queryWrapper.eq(Authentication::getAuditReason, authentication.getAuditReason());
        }





        return list(queryWrapper);
    }
}
