package com.muyu.authentication.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.authentication.mapper.CompanyMapper;
import com.muyu.authentication.service.CompanyService;
import com.muyu.common.core.utils.ObjUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.muyu.company.domain.Company;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 企业Service业务层处理
 *
 * @author wan
 * @date 2024-05-29
 */
@Slf4j
@Service
public class CompanyServiceImpl extends ServiceImpl<CompanyMapper, Company> implements CompanyService {

    /**
     * 查询企业列表
     *
     * @param company 企业
     * @return 企业
     */
    @Override
    public List<Company> list(Company company) {
        LambdaQueryWrapper<Company> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(company.getCompanyName())){
            queryWrapper.like(Company::getCompanyName, company.getCompanyName());
        }

        if (ObjUtils.notNull(company.getLegalRepresentative())){
            queryWrapper.eq(Company::getLegalRepresentative, company.getLegalRepresentative());
        }

        if (ObjUtils.notNull(company.getBusinessLicenseNumber())){
            queryWrapper.eq(Company::getBusinessLicenseNumber, company.getBusinessLicenseNumber());
        }

        if (ObjUtils.notNull(company.getCompanyTime())){
            queryWrapper.eq(Company::getCompanyTime, company.getCompanyTime());
        }

        if (ObjUtils.notNull(company.getSphereOfBusiness())){
            queryWrapper.eq(Company::getSphereOfBusiness, company.getSphereOfBusiness());
        }

        if (ObjUtils.notNull(company.getRegisteredAddress())){
            queryWrapper.eq(Company::getRegisteredAddress, company.getRegisteredAddress());
        }

        if (ObjUtils.notNull(company.getCompanyPhone())){
            queryWrapper.eq(Company::getCompanyPhone, company.getCompanyPhone());
        }

        if (ObjUtils.notNull(company.getCompanyMailbox())){
            queryWrapper.eq(Company::getCompanyMailbox, company.getCompanyMailbox());
        }

        if (ObjUtils.notNull(company.getCompanyStatus())){
            queryWrapper.eq(Company::getCompanyStatus, company.getCompanyStatus());
        }

        if (ObjUtils.notNull(company.getEnterTime())){
            queryWrapper.eq(Company::getEnterTime, company.getEnterTime());
        }

        if (ObjUtils.notNull(company.getAuthenticationId())){
            queryWrapper.eq(Company::getAuthenticationId, company.getAuthenticationId());
        }

        if (ObjUtils.notNull(company.getLiberalServiceId())){
            queryWrapper.eq(Company::getLiberalServiceId, company.getLiberalServiceId());
        }

        if (ObjUtils.notNull(company.getAppreciationServiceId())){
            queryWrapper.eq(Company::getAppreciationServiceId, company.getAppreciationServiceId());
        }

        if (ObjUtils.notNull(company.getUserId())){
            queryWrapper.eq(Company::getUserId, company.getUserId());
        }





        return list(queryWrapper);
    }
}
