package com.muyu.authentication.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.authentication.mapper.LiberalMapper;
import com.muyu.authentication.service.LiberalService;
import com.muyu.common.core.utils.ObjUtils;
import com.muyu.liberal.domain.Liberal;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 开通服务Service业务层处理
 *
 * @author wan
 * @date 2024-05-29
 */
@Slf4j
@Service
public class LiberalServiceImpl extends ServiceImpl<LiberalMapper, Liberal>  implements LiberalService {

    /**
     * 查询开通服务列表
     *
     * @param liberal 开通服务
     * @return 开通服务
     */
    @Override
    public List<Liberal> list(Liberal liberal) {
        LambdaQueryWrapper<Liberal> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(liberal.getActivateTheService())){
            queryWrapper.eq(Liberal::getActivateTheService, liberal.getActivateTheService());
        }





        return list(queryWrapper);
    }
}
