package com.muyu.authentication.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.authentication.mapper.PayMapper;
import com.muyu.authentication.service.PayService;
import com.muyu.common.core.utils.ObjUtils;
import com.muyu.pay.domain.Pay;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 支付Service业务层处理
 *
 * @author wan
 * @date 2024-05-29
 */
@Slf4j
@Service
public class PayServiceImpl extends ServiceImpl<PayMapper, Pay>  implements PayService {

    /**
     * 查询支付列表
     *
     * @param pay 支付
     * @return 支付
     */
    @Override
    public List<Pay> list(Pay pay) {
        LambdaQueryWrapper<Pay> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(pay.getCompanyId())){
            queryWrapper.eq(Pay::getCompanyId, pay.getCompanyId());
        }

        if (ObjUtils.notNull(pay.getPaymentId())){
            queryWrapper.eq(Pay::getPaymentId, pay.getPaymentId());
        }

        if (ObjUtils.notNull(pay.getAppreciationDecimal())){
            queryWrapper.eq(Pay::getAppreciationDecimal, pay.getAppreciationDecimal());
        }





        return list(queryWrapper);
    }
}
