package com.muyu.authentication.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.authentication.mapper.PaymentMapper;
import com.muyu.authentication.service.PaymentService;
import com.muyu.common.core.utils.ObjUtils;
import com.muyu.payment.domain.Payment;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 支付方式Service业务层处理
 *
 * @author wan
 * @date 2024-05-29
 */
@Slf4j
@Service
public class PaymentServiceImpl extends ServiceImpl<PaymentMapper, Payment>  implements PaymentService {

    /**
     * 查询支付方式列表
     *
     * @param payment 支付方式
     * @return 支付方式
     */
    @Override
    public List<Payment> list(Payment payment) {
        LambdaQueryWrapper<Payment> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(payment.getPayment())){
            queryWrapper.eq(Payment::getPayment, payment.getPayment());
        }





        return list(queryWrapper);
    }
}
